curl --request GET \
--url https://api.example.com/eventsimport requests
url = "https://api.example.com/events"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2023-11-07T05:31:56Z",
"eventTime": "2023-11-07T05:31:56Z",
"eventType": "ASSOCIATION_EVENT",
"action": "OBSERVE",
"userId": "<string>",
"eventTag": {
"id": "<string>",
"code": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deleted": true,
"deletedAt": "2023-11-07T05:31:56Z"
},
"bizStep": "ACCEPTING",
"disposition": "ACTIVE",
"quantityList": [
{
"epcClass": "<string>",
"quantity": 123,
"unit": "<string>"
}
],
"outputQuantityList": [
{
"epcClass": "<string>",
"quantity": 123,
"unit": "<string>"
}
],
"inputQuantityList": [
{
"epcClass": "<string>",
"quantity": 123,
"unit": "<string>"
}
],
"sourceList": [
{
"sourceType": "OWNING_PARTY",
"source": "<string>",
"partner": "<string>"
}
],
"destinationList": [
{
"destinationType": "OWNING_PARTY",
"destination": "<string>",
"partner": "<string>"
}
],
"readPoint": {
"identifier": "<string>",
"lat": 123,
"lng": 123
},
"seafoodEventData": {
"catchArea": "<string>"
},
"epcs": [
{
"epc": "<string>"
}
],
"inputEpcs": [
{
"epc": "<string>"
}
],
"outputEpcs": [
{
"epc": "<string>"
}
],
"images": [
"<string>"
]
}
]Get Events
Get many events
Query Parameters
Page number (1-based)
Number of items per page
Response
The events have been successfully retrieved
The id of the event
"123e4567-e89b-12d3-a456-426614174000"
The time of the event was created
The time of the event
The type of the event
ASSOCIATION_EVENT, OBJECT_EVENT, AGGREGATION_EVENT, TRANSACTION_EVENT, TRANSFORMATION_EVENT The action of the event
OBSERVE, ADD, DELETE The user id of the event
The tag associated with the event
Show child attributes
Show child attributes
The business step associated with the event
ACCEPTING, ARRIVING, ASSEMBLING, COLLECTING, COMMISSIONING, CONSIGNING, CREATING_CLASS_INSTANCE, CYCLE_COUNTING, DECOMMISSIONING, DEPARTING, DESTROYING, DISASSEMBLING, DISPENSING, ENCODING, ENTERING_EXITING, HOLDING, INSPECTING, INSTALLING, KILLING, LOADING, OTHER, PACKING, PICKING, RECEIVING, REMOVING, REPACKAGING, REPAIRING, REPLACING, RESERVING, RETAIL_SELLING, SHIPPING, STAGING_OUTBOUND, STOCK_TAKING, STOCKING, STORING, TRANSPORTING, UNLOADING, UNPACKING, VOID_SHIPPING, SENSOR_REPORTING, SAMPLING The disposition of the event
ACTIVE, CONTAINER_CLOSED, DAMAGED, DESTROYED, DISPENSED, DISPOSED, ENCODED, EXPIRED, IN_PROGRESS, IN_TRANSIT, INACTIVE, NO_PEDIGREE_MATCH, NON_SELLABLE_OTHER, PARTIALLY_DISPENSED, RECALLED, RESERVED, RETAIL_SOLD, RETURNED, SELLABLE_ACCESSIBLE, SELLABLE_NOT_ACCESSIBLE, STOLEN, UNKNOWN, AVAILABLE, COMPLETENESS_VERIFIED, COMPLETENESS_INFERRED, CONFORMANT, CONTAINER_OPEN, MISMATCH_INSTANCE, MISMATCH_CLASS, MISMATCH_QUANTITY, NEEDS_REPLACEMENT, NON_CONFORMANT, UNAVAILABLE List of quantities associated with the event
Show child attributes
Show child attributes
Output list of quantities associated with the event
Show child attributes
Show child attributes
Input list of quantities associated with the event
Show child attributes
Show child attributes
List of sources associated with the event
Show child attributes
Show child attributes
List of destinations associated with the event
Show child attributes
Show child attributes
The read point associated with the event
Show child attributes
Show child attributes
The seafood event data associated with the event
Show child attributes
Show child attributes
The instance identifiers associated with the event
Show child attributes
Show child attributes
The instance identifiers associated with the event
Show child attributes
Show child attributes
The instance identifiers associated with the event
Show child attributes
Show child attributes
The images associated with the event